RagTime5SpreadsheetInternal::TextPLC Struct Reference documentation

RagTime5SpreadsheetInternal::TextPLC Struct Reference

a text style PLC More...

## Public Member Functions
| TextPLC ()
| constructor
| TextPLC (std::vector< int > const &values)
| constructor
MWAWCell::HorizontalAlignment | getHorizontalAlignment () const
| returns the alignement
bool | operator== (TextPLC const &plc) const
| operator==
bool | operator!= (TextPLC const &plc) const
| operator!=

## Public Attributes
int | m_textStyleId
| the text style
int | m_formatId
| the format style
int | m_flags
| low: text flag, high: orientation flags, tategaki, ...

## Friends
std::ostream & | operator<< (std::ostream &o, TextPLC const &plc)
| operator<<

## Detailed Description

a text style PLC

## Constructor & Destructor Documentation

## ◆ TextPLC() [1/2]

RagTime5SpreadsheetInternal::TextPLC::TextPLC | ( |  | ) |
| inline

constructor

Referenced by operator!=(), operator<<, and operator==().

## ◆ TextPLC() [2/2]

RagTime5SpreadsheetInternal::TextPLC::TextPLC | ( | std::vector< int > const & | values | ) |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getHorizontalAlignment()

MWAWCell::HorizontalAlignment RagTime5SpreadsheetInternal::TextPLC::getHorizontalAlignment | ( |  | ) | const
| inline

returns the alignement

Referenced by RagTime5Spreadsheet::send().

## ◆ operator!=()

bool RagTime5SpreadsheetInternal::TextPLC::operator!= | ( | TextPLC const & | plc | ) | const
| inline

operator!=

## ◆ operator==()

bool RagTime5SpreadsheetInternal::TextPLC::operator== | ( | TextPLC const & | plc | ) | const
| inline

operator==

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | TextPLC const & | plc )
| friend

operator<<

## Member Data Documentation

## ◆ m_flags

int RagTime5SpreadsheetInternal::TextPLC::m_flags

low: text flag, high: orientation flags, tategaki, ...

Referenced by getHorizontalAlignment(), operator<<, operator==(), RagTime5Spreadsheet::send(), TextPLC(), and TextPLC().

## ◆ m_formatId

int RagTime5SpreadsheetInternal::TextPLC::m_formatId

the format style

Referenced by operator<<, operator==(), RagTime5Spreadsheet::send(), TextPLC(), and TextPLC().

## ◆ m_textStyleId

int RagTime5SpreadsheetInternal::TextPLC::m_textStyleId

the text style

Referenced by operator<<, operator==(), RagTime5Spreadsheet::send(), RagTime5Spreadsheet::send(), TextPLC(), and TextPLC().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx